 <?php require("../fpdf/fpdf.php");
       require("../private/connect.inc");
       require("../private/text.inc");
       require ("../private/func-deiminaris.inc");
       $link=Conectar();
       $did = addslashes($_GET["did"]);
       if (!is_numeric($did)){
         die;
       }
       $result=mysql_query("SELECT * FROM deiminaris WHERE did=$did");
       $row = mysql_fetch_array($result);
       $dd = substr($row["data"], 8, 2);
       $mm = substr($row["data"], 5, 2);
       $yy = substr($row["data"], 0, 4);
       $hora = substr($row["hora"], 0, 2);
       $min = substr($row["hora"], 3, 2);

              // Guardem en $mes el nom corresponent
       $mes = num2mes($mm);                           
       $pdf= new FPDF('P', 'mm', 'A4');
       $pdf->Open();
       $pdf->AddPage();
       $pdf->Image('images/logodeim.jpg',60,15,90);
       $pdf->SetFont('Arial', 'B', 12);
       $pdf->Ln(30);
       $any1=$row["cicle"];
       $any2=$any1+1;
       $pdf->MultiCell(0,5,'Cicle seminaris ' . $any1 . '/' . $any2, 0, 'C');
       $pdf->Ln(10);
       $pdf->SetFont('Arial', 'B', 20);
       $pdf->MultiCell(0,10,'' . $row["titol"], 0, 'C');
       $pdf->Ln(5);
       $pdf->SetFont('Arial', 'B', 10);
       $pdf->MultiCell(0,5,'a càrrec de', 0, 'C');
       $pdf->Ln(5);
       $pdf->SetFont('Arial', 'B', 14);
       $pdf->MultiCell(0,5,'' . $row["encarregat"], 0, 'C');
       $pdf->Ln(3);
       $pdf->MultiCell(0,5,'' . $row["institucio"], 0, 'C');
       $pdf->Ln(3);
       $pdf->MultiCell(0,5,'' . $row["departament"], 0, 'C');
       $pdf->Ln(15);
       
       
       $pdf->SetFont('Arial', 'B', 12);
       $pdf->MultiCell(0,5,'Resum:');
       $pdf->SetFont('Times', '', 12);
       // Hem de treure format html i ficar-ho en format normal (espais
       // en blanc i newlines)
       $pdf->MultiCell(0,5,'' . unformat_all($row["resum"]));
       
       

       $pdf->Ln(20);
       $pdf->SetFont('Arial', 'B', 12);
       if (($dd!=31)||($mm!=12)||($yy!=9999)){
         $pdf->MultiCell(0,5,'Dia i hora: ' . $dd . ' ' . $mes . ' ' . $yy . '  ' . $hora .
         ':' . $min . 'H');
       } else {
         $pdf->MultiCell(0,5,'Dia i hora: Sense determinar');
       }
       $pdf->MultiCell(0,5,'Lloc: ' . $row["lloc"]);
       $pdf->MultiCell(0,5,'Obert a: ' . $row["obert_a"]);
       $pdf->MultiCell(0,5,'Idioma: ' . $row["idioma"]);
       $pdf->Output();

       mysql_free_result($result);
 ?>

